Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.hubservices.core.v2
Class SelectGetPatientConsentType

    java.lang.Object
      be.fgov.ehealth.hubservices.core.v2.SelectGetPatientConsentType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-09-16T05:10:54+02:00",
               comments="JAXB RI v2.3.6")
    public class SelectGetPatientConsentType

extends Object
implements Serializable

Java class for SelectGetPatientConsentType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SelectGetPatientConsentType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="patient" type="{http://www.ehealth.fgov.be/hubservices/core/v2}PatientIdType"/>
             <element name="consent" type="{http://www.ehealth.fgov.be/hubservices/core/v2}BasicConsentType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SelectGetPatientConsentType()`

Method Summary
`BasicConsentType` | `getConsent()` Gets the value of the consent property.
`PatientIdType` | `getPatient()` Gets the value of the patient property.
`void` | `setConsent(BasicConsentType value)` Sets the value of the consent property.
`void` | `setPatient(PatientIdType value)` Sets the value of the patient property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectGetPatientConsentType

    public SelectGetPatientConsentType()

Method Detail

### getPatient

    public PatientIdType getPatient()

  Gets the value of the patient property.

  Returns:
    possible object is `PatientIdType`

### setPatient

    public void setPatient(PatientIdType value)

  Sets the value of the patient property.

  Parameters:
    `value` - allowed object is `PatientIdType`

### getConsent

    public BasicConsentType getConsent()

  Gets the value of the consent property.

  Returns:
    possible object is `BasicConsentType`

### setConsent

    public void setConsent(BasicConsentType value)

  Sets the value of the consent property.

  Parameters:
    `value` - allowed object is `BasicConsentType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.